Subject: [auth48] Re: AUTH48: RFC-to-be 9849 <draft-ietf-tls-esni-25> for your review
From: Kazuho Oku <[email-masked]>
To: Madison Church <[email-masked]>
Cc: Eric Rescorla <[email-masked]>, Nick Sullivan <[email-masked]>, [email-masked], Paul Wouters <[email-masked]>, [email-masked], Editor RFC <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 5 Feb 2026 15:39:35 +0900
List-Id: "Archiving AUTH48 exchanges between the RFC Production Center, the authors, and other related parties" <auth48archive.rfc-editor.org>

Hello Madison, authors,

Thank you very much for pushing the draft forward.

I have read through the updated markdown and I would like to request two nits.

I've separately filed a PR
(https://github.com/tlswg/draft-ietf-tls-esni/pull/672), but the nits
are:

# Section 5 and Section 6.1: Incorrect references to properties of HpkeKeyConfig

`cipher_suites`, `kem_id`, `public_key` are members of
`HpkeKeyConfig`, and therefore it would be correct to refer to them as
`ECHConfigContents.key_config.~`. However, `key_config` is missing.

IMO this is editorial, however it is not a grammatical error, and
therefore would appreciate reviews from other authors.

# Update my name to use Kanji

This would make the representation consistent with other RFCs that I coauthored.

For the ease of the review, the diff file against the TXT version is attached.

2026年2月4日(水) 6:32 Madison Church <[email-masked]>:
>
> Hi Eric,
>
> Thank you for the updated markdown file! Updated files are listed below. We will wait to hear from you once you’ve completed your top-to-bottom read.
>
> For details of the AUTH48 process in kramdown-rfc (including the two-part approval process), see https://www.rfc-editor.org/rpc/wiki/doku.php?id=pilot_test_kramdown_rfc.
>
> The files have been posted here (please refresh):
> https://www.rfc-editor.org/authors/rfc9849.txt
> https://www.rfc-editor.org/authors/rfc9849.pdf
> https://www.rfc-editor.org/authors/rfc9849.html
>
> Markdown file:
> https://www.rfc-editor.org/authors/rfc9849.md
>
> The relevant diff files have been posted here (please refresh):
> https://www.rfc-editor.org/authors/rfc9849-diff.html (comprehensive diff)
> https://www.rfc-editor.org/authors/rfc9849-rfcdiff.html (side by side)
> https://www.rfc-editor.org/authors/rfc9849-auth48diff.html (diff showing AUTH48 changes)
> https://www.rfc-editor.org/authors/rfc9849-auth48rfcdiff.html (side by side)
>
> Markdown diffs:
> https://www.rfc-editor.org/authors/rfc9849-md-diff.html
> https://www.rfc-editor.org/authors/rfc9849-md-rfcdiff.html
> https://www.rfc-editor.org/authors/rfc9849-md-auth48diff.html
> https://www.rfc-editor.org/authors/rfc9849-md-auth48rfcdiff.html
>
> For the AUTH48 status of this document, please see:
> https://www.rfc-editor.org/auth48/rfc9849
>
> Thank you!
>
> Madison Church
> RFC Production Center
>
> > On Feb 3, 2026, at 2:17 PM, Eric Rescorla <[email-masked]> wrote:
> >
> > Here is an updated markdown file with the outstanding PRs. The technical ones
> > were reviewed.
> >
> > https://raw.githubusercontent.com/tlswg/draft-ietf-tls-esni/18715d4e44626db8f3460442e363ede9526277b0/rfc9849.md
> >
> > I still need to do my top-to-bottom read.
> >
> > -Ekr
> >
> >
> > On Tue, Feb 3, 2026 at 11:55 AM Madison Church <[email-masked]> wrote:
> > Hi Authors,
> >
> > This is another friendly weekly reminder that we await content approvals from Christopher, Kazuho, and Eric before moving along with formatting updates for this document.
> >
> > Thank you!
> >
> > Madison Church
> > RFC Production Center
> >
> > > On Jan 27, 2026, at 2:37 PM, Madison Church <[email-masked]> wrote:
> > >
> > > Hi Authors,
> > >
> > > This is a friendly weekly reminder that we await content approvals from Christopher, Kazuho, and Eric before moving along with formatting updates for this document.
> > >
> > > Thank you!
> > >
> > > Madison Church
> > > RFC Production Center
> > >
> > >> On Jan 17, 2026, at 6:37 PM, Eric Rescorla <[email-masked]> wrote:
> > >>
> > >>
> > >>
> > >> On Fri, Jan 16, 2026 at 2:37 PM Madison Church <[email-masked]> wrote:
> > >> Hi All,
> > >>
> > >> Paul - We have noted your approvals for the two proposed technical changes.
> > >>
> > >> Nick - Thank you for your reply! We have noted your approval for the contents of this document on the AUTH48 status page and implemented your requested updates. The diff file was incredibly helpful!
> > >>
> > >> We will wait for confirmation to implement the technical changes.
> > >>
> > >> I will implement the technical changes in my copy.
> > >>
> > >> -Ekr
> > >>
> > >> Please review the contents of the document carefully. Contact us with any further updates or with your approval of the document’s contents in its current form. Once we receive approvals from Christopher, Kazuho, and Eric, we will move forward with formatting updates.
> > >>
> > >> For details of the AUTH48 process in kramdown-rfc (including the two-part approval process), see https://www.rfc-editor.org/rpc/wiki/doku.php?id=pilot_test_kramdown_rfc.
> > >>
> > >> The files have been posted here (please refresh):
> > >> https://www.rfc-editor.org/authors/rfc9849.txt
> > >> https://www.rfc-editor.org/authors/rfc9849.pdf
> > >> https://www.rfc-editor.org/authors/rfc9849.html
> > >>
> > >> Markdown file:
> > >> https://www.rfc-editor.org/authors/rfc9849.md
> > >>
> > >> The relevant diff files have been posted here (please refresh):
> > >> https://www.rfc-editor.org/authors/rfc9849-diff.html (comprehensive diff)
> > >> https://www.rfc-editor.org/authors/rfc9849-rfcdiff.html (side by side)
> > >> https://www.rfc-editor.org/authors/rfc9849-auth48diff.html (diff showing AUTH48 changes)
> > >> https://www.rfc-editor.org/authors/rfc9849-auth48rfcdiff.html (side by side)
> > >>
> > >> Markdown diffs:
> > >> https://www.rfc-editor.org/authors/rfc9849-md-diff.html
> > >> https://www.rfc-editor.org/authors/rfc9849-md-rfcdiff.html
> > >> https://www.rfc-editor.org/authors/rfc9849-md-auth48diff.html
> > >> https://www.rfc-editor.org/authors/rfc9849-md-auth48rfcdiff.html
> > >>
> > >> For the AUTH48 status of this document, please see:
> > >> https://www.rfc-editor.org/auth48/rfc9849
> > >>
> > >> Thank you,
> > >> Madison Church
> > >> RFC Production Center
> > >>
> > >>> On Jan 14, 2026, at 9:42 AM, Nick Sullivan <[email-masked]> wrote:
> > >>>
> > >>> Hello RFC Production Center,
> > >>>
> > >>> I reviewed the currently posted AUTH48 text for RFC-to-be 9849
> > >>> (rfc9849.txt on the RFC Editor authors page). Below are a small set of
> > >>> remaining editorial issues.
> > >>>
> > >>> Two items that are technically non-editorial are already being handled
> > >>> in the TLS WG GitHub repository (issues 656 and 665 / corresponding
> > >>> open PRs). To avoid duplication, I am not requesting those changes
> > >>> here or requesting any expansion of RFC number placeholders (for
> > >>> example RFCYYY1) in this note.
> > >>>
> > >>> A) Typos and minor editorial fixes (no intended technical change)
> > >>>
> > >>> Section 5.1 (Encoding the ClientHelloInner)
> > >>> - Replace “structured defined” with “structure defined”.
> > >>> Section 6.1 (Offering ECH)
> > >>> - Capitalization: “Instead, It MUST …” -> “Instead, it MUST …”.
> > >>> Section 7 (Server Behavior introduction)
> > >>> - Consistency: “back-end server” -> “backend server”.
> > >>> Section 10.8 (Cookies)
> > >>> - Insert missing space: “unencrypted.This” -> “unencrypted. This”.
> > >>> Section 11.3 (ECH Configuration Extension Registry)
> > >>> - Fix grammar in the “Recommended” field description and remove
> > >>> duplicated wording (“value with a value of”).
> > >>>
> > >>> Proposed patch (unified diff against the currently posted rfc9849.txt;
> > >>> excludes items already covered by issues 656 and 665; no RFC
> > >>> placeholder expansions)
> > >>>
> > >>> ```
> > >>> --- rfc9849.txt
> > >>> +++ rfc9849.txt
> > >>> @@ -521,7 +521,7 @@
> > >>> -        structured defined in Section 5.3 of [RFC9147].  This does not
> > >>> +        structure defined in Section 5.3 of [RFC9147].  This does not
> > >>>
> > >>> @@ -675,7 +675,7 @@
> > >>> -            ClientHelloInner.random.  Instead, It MUST generate a fresh
> > >>> +            ClientHelloInner.random.  Instead, it MUST generate a fresh
> > >>>
> > >>> @@ -1129,7 +1129,7 @@
> > >>> -        the client-facing server or as the back-end server.  Depending on the
> > >>> +        the client-facing server or as the backend server.  Depending on the
> > >>>
> > >>> @@ -1706,7 +1706,7 @@
> > >>> -        unencrypted.This means differences in cookies between backend
> > >>> +        unencrypted. This means differences in cookies between backend
> > >>>
> > >>> @@ -2114,13 +2114,12 @@
> > >>> -   Recommended:  A "Y" or "N" value indicating if the extension is TLS
> > >>> -      WG recommends that the extension be supported.  This column is
> > >>> -      assigned a value of "N" unless explicitly requested.  Adding a
> > >>> -      value with a value of "Y" requires Standards Action [RFC8126].
> > >>> +   Recommended:  A "Y" or "N" value indicating if the TLS Working Group
> > >>> +      recommends that the extension be supported.  This column is assigned a
> > >>> +      value of "N" unless explicitly requested.  Adding a value of "Y"
> > >>> +      requires Standards Action [RFC8126].
> > >>> ```
> > >>>
> > >>> GitHub PR: https://github.com/tlswg/draft-ietf-tls-esni/pull/671/files
> > >>>
> > >>> With these changes, the publication is approved by me.
> > >>>
> > >>> Thank you,
> > >>> Nick Sullivan
> > >>>
> > >>>
> > >>> On Mon, Jan 12, 2026 at 12:28 PM Nick Sullivan
> > >>> <[email-masked]> wrote:
> > >>>>
> > >>>> Hi Madison,
> > >>>>
> > >>>> Apologies for the delay, I was intending to do this over the new year but didn't get to it. I'll review by end of week.
> > >>>>
> > >>>> Best,
> > >>>> Nick
> > >>>>
> > >>>> On Fri, Jan 9, 2026 at 10:31 AM Paul Wouters <[email-masked]> wrote:
> > >>>>>
> > >>>>> approved (via email and at the PRs listed)
> > >>>>>
> > >>>>> Paul
> > >>>>>
> > >>>>> On Thu, Jan 8, 2026 at 4:49 PM Madison Church <[email-masked]> wrote:
> > >>>>>>
> > >>>>>> Hi Authors, *Paul,
> > >>>>>>
> > >>>>>> Happy new year!
> > >>>>>>
> > >>>>>> This is a friendly reminder that we have yet to hear back from you regarding the readiness of this document’s contents before moving forward with formatting updates.
> > >>>>>>
> > >>>>>> *Paul - As responsible AD for this document, please review the changes below and let us know if you approve:
> > >>>>>> https://github.com/tlswg/draft-ietf-tls-esni/pull/668
> > >>>>>> https://github.com/tlswg/draft-ietf-tls-esni/pull/667
> > >>>>>>
> > >>>>>> For the AUTH48 status page, see: https://www.rfc-editor.org/auth48/rfc9849.
> > >>>>>>
> > >>>>>> Thank you!
> > >>>>>> Madison Church
> > >>>>>> RFC Production Center
> > >>>>>>
> > >>>>>>
> > >>>>>>> On Dec 18, 2025, at 12:46 PM, Madison Church <[email-masked]> wrote:
> > >>>>>>>
> > >>>>>>> Hi Eric,
> > >>>>>>>
> > >>>>>>> Thank you for the followup! We have updated the AUTH48 status page (https://www.rfc-editor.org/auth48/rfc9849) and we will wait to hear from you once you complete your final content review.
> > >>>>>>>
> > >>>>>>> Madison Church
> > >>>>>>> RFC Production Center
> > >>>>>>>
> > >>>>>>>> On Dec 18, 2025, at 12:33 PM, Eric Rescorla <[email-masked]> wrote:
> > >>>>>>>>
> > >>>>>>>> FWIW I think Paul actually just approved this one change, not the overall RFC.
> > >>>>>>>>
> > >>>>>>>> I have merged this markdown file into the version on GitHub. There are two pending
> > >>>>>>>> changes that are technically not just editorial, though I think obvious and need Paul's
> > >>>>>>>> approval:
> > >>>>>>>>
> > >>>>>>>> https://github.com/tlswg/draft-ietf-tls-esni/pull/668
> > >>>>>>>> https://github.com/tlswg/draft-ietf-tls-esni/pull/667
> > >>>>>>>>
> > >>>>>>>> In parallel, I will also need to give it a final top-to-bottom read, which I hope to do in the next
> > >>>>>>>> week or so.
> > >>>>>>>>
> > >>>>>>>> -Ekr
> > >>>>>>>>
> > >>>>>>>>
> > >>>>>>>>
> > >>>>>>>>
> > >>>>>>>> On Thu, Dec 18, 2025 at 9:42 AM Madison Church <[email-masked]> wrote:
> > >>>>>>>> Hi Paul,
> > >>>>>>>>
> > >>>>>>>> We have marked your approval on the AUTH48 status page (see https://www.rfc-editor.org/auth48/rfc9849).
> > >>>>>>>>
> > >>>>>>>> Thanks!
> > >>>>>>>>
> > >>>>>>>> Madison Church
> > >>>>>>>> RFC Production Center
> > >>>>>>>>
> > >>>>>>>>> On Dec 18, 2025, at 11:27 AM, Paul Wouters <[email-masked]> wrote:
> > >>>>>>>>>
> > >>>>>>>>>
> > >>>>>>>>>
> > >>>>>>>>>
> > >>>>>>>>>> On Dec 18, 2025, at 11:06, Madison Church <[email-masked]> wrote:
> > >>>>>>>>>>
> > >>>>>>>>>> Hi Authors, *Paul,
> > >>>>>>>>>>
> > >>>>>>>>>> *Paul - As responsible AD, please note that we await your approval of RFC YYY1 as an Informative Reference (changed from Normative to Informative).
> > >>>>>>>>>
> > >>>>>>>>> approved
> > >>>>>>>>>
> > >>>>>>>>> Paul
> > >>>>>>>>>
> > >>>>>>>>>>
> > >>>>>>>>>> Authors - This is a friendly reminder that we await approvals from each author prior to moving forward with formatting updates.
> > >>>>>>>>>>
> > >>>>>>>>>> For details of the AUTH48 process in kramdown-rfc (including the two-part approval process), see https://www.rfc-editor.org/rpc/wiki/doku.php?id=pilot_test_kramdown_rfc.
> > >>>>>>>>>>
> > >>>>>>>>>> The files have been posted here (please refresh):
> > >>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.txt
> > >>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.pdf
> > >>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.html
> > >>>>>>>>>>
> > >>>>>>>>>> Markdown file:
> > >>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.md
> > >>>>>>>>>>
> > >>>>>>>>>> The relevant diff files have been posted here (please refresh):
> > >>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-diff.html (comprehensive diff)
> > >>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-rfcdiff.html (side by side)
> > >>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-auth48diff.html (diff showing AUTH48 changes)
> > >>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-auth48rfcdiff.html (side by side)
> > >>>>>>>>>>
> > >>>>>>>>>> Markdown diffs:
> > >>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-diff.html
> > >>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-rfcdiff.html
> > >>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-auth48diff.html
> > >>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-auth48rfcdiff.html
> > >>>>>>>>>>
> > >>>>>>>>>> For the AUTH48 status of this document, please see:
> > >>>>>>>>>> https://www.rfc-editor.org/auth48/rfc9849
> > >>>>>>>>>>
> > >>>>>>>>>> Thank you,
> > >>>>>>>>>>
> > >>>>>>>>>> Madison Church
> > >>>>>>>>>> RFC Production Center
> > >>>>>>>>>>
> > >>>>>>>>>>> On Dec 11, 2025, at 10:07 AM, Madison Church <[email-masked]> wrote:
> > >>>>>>>>>>>
> > >>>>>>>>>>> Hi Eric, *Paul,
> > >>>>>>>>>>>
> > >>>>>>>>>>> Eric - Thank you for your reply! We weren’t sure if this was intentional, so thank you for clarifying. We have moved RFC YYY1 to the Informative References section.
> > >>>>>>>>>>>
> > >>>>>>>>>>> *Paul - As responsible AD, please let us know if you approve RFC YYY1 as an Informative Reference.
> > >>>>>>>>>>>
> > >>>>>>>>>>> Please review the contents of the document carefully. Contact us with any further updates or with your approval of the document’s contents in its current form. We will await approvals from each author prior to moving forward with formatting updates.
> > >>>>>>>>>>>
> > >>>>>>>>>>> For details of the AUTH48 process in kramdown-rfc (including the two-part approval process), see https://www.rfc-editor.org/rpc/wiki/doku.php?id=pilot_test_kramdown_rfc.
> > >>>>>>>>>>>
> > >>>>>>>>>>> The files have been posted here (please refresh):
> > >>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.txt
> > >>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.pdf
> > >>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.html
> > >>>>>>>>>>>
> > >>>>>>>>>>> Markdown file:
> > >>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.md
> > >>>>>>>>>>>
> > >>>>>>>>>>> The relevant diff files have been posted here (please refresh):
> > >>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-diff.html (comprehensive diff)
> > >>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-rfcdiff.html (side by side)
> > >>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-auth48diff.html (diff showing AUTH48 changes)
> > >>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-auth48rfcdiff.html (side by side)
> > >>>>>>>>>>>
> > >>>>>>>>>>> Markdown diffs:
> > >>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-diff.html
> > >>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-rfcdiff.html
> > >>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-auth48diff.html
> > >>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-auth48rfcdiff.html
> > >>>>>>>>>>>
> > >>>>>>>>>>> For the AUTH48 status of this document, please see:
> > >>>>>>>>>>> https://www.rfc-editor.org/auth48/rfc9849
> > >>>>>>>>>>>
> > >>>>>>>>>>> Thank you,
> > >>>>>>>>>>> Madison Church
> > >>>>>>>>>>> RFC Production Center
> > >>>>>>>>>>>
> > >>>>>>>>>>>>> On Dec 5, 2025, at 4:38 PM, Eric Rescorla <[email-masked]> wrote:
> > >>>>>>>>>>>>
> > >>>>>>>>>>>> Hi Madison,
> > >>>>>>>>>>>>
> > >>>>>>>>>>>> I believe that the citation to RFCYYY1 should be informative, not normative. I corrected that in
> > >>>>>>>>>>>> my version but I guess I forgot to flag it. Paul, co-authors, any objections?
> > >>>>>>>>>>>>
> > >>>>>>>>>>>> -Ekr
> > >>>>>>>>>>>>
> > >>>>>>>>>>>>
> > >>>>>>>>>>>>> On Fri, Dec 5, 2025 at 2:16 PM Madison Church <[email-masked]> wrote:
> > >>>>>>>>>>>> Hi Eric,
> > >>>>>>>>>>>>
> > >>>>>>>>>>>> Thank you for the updated markdown file! We have incorporated your edits into the document. Upon further review, we have also updated the term "Shared Mode" to follow the same pattern as "Split Mode" (uppercase on first use and in titles, lowercase otherwise). Please let us know any objections. Additionally, we will update the WHATWG reference per our discussion during formatting. Aside from the updates mentioned, we have no further questions/comments at this time.
> > >>>>>>>>>>>>
> > >>>>>>>>>>>> Please review the contents of the document carefully. Contact us with any further updates or with your approval of the document’s contents in its current form. We will await approvals from each author prior to moving forward with formatting updates.
> > >>>>>>>>>>>>
> > >>>>>>>>>>>> For details of the AUTH48 process in kramdown-rfc (including the two-part approval process), see https://www.rfc-editor.org/rpc/wiki/doku.php?id=pilot_test_kramdown_rfc.
> > >>>>>>>>>>>>
> > >>>>>>>>>>>> The files have been posted here (please refresh):
> > >>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.txt
> > >>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.pdf
> > >>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.html
> > >>>>>>>>>>>>
> > >>>>>>>>>>>> Markdown file:
> > >>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.md
> > >>>>>>>>>>>>
> > >>>>>>>>>>>> The relevant diff files have been posted here (please refresh):
> > >>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-diff.html (comprehensive diff)
> > >>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-rfcdiff.html (side by side)
> > >>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-auth48diff.html (diff showing AUTH48 changes)
> > >>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-auth48rfcdiff.html (side by side)
> > >>>>>>>>>>>>
> > >>>>>>>>>>>> Markdown diffs:
> > >>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-diff.html
> > >>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-rfcdiff.html
> > >>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-auth48diff.html
> > >>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-auth48rfcdiff.html
> > >>>>>>>>>>>>
> > >>>>>>>>>>>> For the AUTH48 status of this document, please see:
> > >>>>>>>>>>>> https://www.rfc-editor.org/auth48/rfc9849
> > >>>>>>>>>>>>
> > >>>>>>>>>>>> Thank you,
> > >>>>>>>>>>>> Madison Church
> > >>>>>>>>>>>> RFC Production Center
> > >>>>>>>>>>>>
> > >>>>>>>>>>>>
> > >>>>>>>>>>>>> On Dec 4, 2025, at 7:12 PM, Eric Rescorla <[email-masked]> wrote:
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> Here is an updated markdown file with the fixed width adjustments.
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> https://raw.githubusercontent.com/tlswg/draft-ietf-tls-esni/refs/heads/auth48/rfc9849.md
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> -Ekr
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> On Wed, Dec 3, 2025 at 9:49 AM Eric Rescorla <[email-masked]> wrote:
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> On Wed, Dec 3, 2025 at 6:23 AM Madison Church <[email-masked]> wrote:
> > >>>>>>>>>>>>> Hi Eric,
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> Thank you for your reply! Please see inline.
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>>> On Dec 2, 2025, at 1:38 PM, Eric Rescorla <[email-masked]> wrote:
> > >>>>>>>>>>>>>>
> > >>>>>>>>>>>>>> Thanks.
> > >>>>>>>>>>>>>>
> > >>>>>>>>>>>>>> Re the questions and comments:
> > >>>>>>>>>>>>>>
> > >>>>>>>>>>>>>> * I will send a revised file with the fixed width issues fixed
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> Noted!
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>>> * As I understand the WHATWG question, there are two distinct issues (1) whether to reference a commit and (2) whether to reference fragments. I'm OK with referencing a commit like this if that's what you agreed with WHATWG, but I read this text as saying not to reference fragments unless we ensure that the anchor is permanent https://whatwg.org/working-mode#anchors. Have we done so for this one?
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> Thank you for clarifying. We are unsure if the current anchor [1] is permanent, so we would recommend not using it and using the more general one [2]. However, if any other authors put in a request with WHATWG to make that anchor permanent, please let us know.
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> [1] https://url.spec.whatwg.org/#concept-ipv4-parser
> > >>>>>>>>>>>>> [2] https://url.spec.whatwg.org/
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> I think we are in agreement, then, thanks.
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> -Ekr
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> Thank you!
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>> Madison Church
> > >>>>>>>>>>>>> RFC Production Center
> > >>>>>>>>>>>>>
> > >>>>>>>>>>>>>> -Ekr
> > >>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>
> > >>>>>>>>>>>>>> On Tue, Dec 2, 2025 at 6:58 AM Madison Church <[email-masked]> wrote:
> > >>>>>>>>>>>>>> Hi Authors,
> > >>>>>>>>>>>>>>
> > >>>>>>>>>>>>>> This is a friendly weekly reminder that we await answers to the followup questions/comments below and your review of the document before continuing with the publication process. For details of the AUTH48 process in kramdown-rfc (including the two-part approval process), see: https://www.rfc-editor.org/rpc/wiki/doku.php?id=pilot_test_kramdown_rfc.
> > >>>>>>>>>>>>>>
> > >>>>>>>>>>>>>> Thank you!
> > >>>>>>>>>>>>>>
> > >>>>>>>>>>>>>> Madison Church
> > >>>>>>>>>>>>>> RFC Production Center
> > >>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> On Nov 25, 2025, at 8:34 AM, Madison Church <[email-masked]> wrote:
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> Hi Eric,
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> Thank you for your reply! We have updated the document as requested and have two followup items for your review, which can be viewed in the AUTH48 thread below or in the updated markdown file marked with "rfced".
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> On Nov 20, 2025, at 10:33 PM, Eric Rescorla <[email-masked]> wrote:
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> Update: I fixed my affiliation.
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> On Thu, Nov 20, 2025 at 8:23 PM Eric Rescorla <[email-masked]> wrote:
> > >>>>>>>>>>>>>>>> Thank you. I am editing this in GitHub. I merged in your proposed changes except
> > >>>>>>>>>>>>>>>> for those I think are inadvisable, which I reverted. I answered your questions inline.
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> You can find the latest markdown file here (also attached):
> > >>>>>>>>>>>>>>>> https://raw.githubusercontent.com/tlswg/draft-ietf-tls-esni/refs/heads/auth48/rfc9849.md
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> -Ekr
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> On Fri, Nov 14, 2025 at 10:53 AM <[email-masked]> wrote:
> > >>>>>>>>>>>>>>>> Authors,
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> While reviewing this document during AUTH48, please resolve (as necessary) the following questions, which are also in the source file.
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> 1) <!-- [rfced] References
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> a) Regarding [WHATWG-IPV4], this reference's date is May 2021.
> > >>>>>>>>>>>>>>>> The URL provided resolves to a page with "Last Updated 12 May 2025".
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> Note that WHATWG provides "commit snapshots" of their living standards and
> > >>>>>>>>>>>>>>>> there are several commit snapshots from May 2021 with the latest being from 20
> > >>>>>>>>>>>>>>>> May 2021. For example: 20 May 2021
> > >>>>>>>>>>>>>>>> (https://url.spec.whatwg.org/commit-snapshots/1b8b8c55eb4bed9f139c9a439fb1c1bf5566b619/#concept-ipv4-parser)
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> We recommend updating this reference to the most current version of the WHATWG
> > >>>>>>>>>>>>>>>> Living Standard, replacing the URL with the more general URL to the standard
> > >>>>>>>>>>>>>>>> (https://url.spec.whatwg.org/), and adding a "commit snapshot" URL to the
> > >>>>>>>>>>>>>>>> reference.
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> Current:
> > >>>>>>>>>>>>>>>> [WHATWG-IPV4]
> > >>>>>>>>>>>>>>>>     WHATWG, "URL - IPv4 Parser", WHATWG Living Standard, May
> > >>>>>>>>>>>>>>>>      2021, <https://url.spec.whatwg.org/#concept-ipv4-parser>.
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> EKR: Per MT, WHATWG has asked us not to do that. We should leave
> > >>>>>>>>>>>>>>>> this as-is and change the date to December 2025.
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> 1) For context, we reached out to WHATWG in September about a format for references to their standards (see: https://github.com/whatwg/meta/issues/363). The proposed update below for this reference reflects the approved format. It would be helpful for the RPC to know what WHATWG has asked authors to not do so that we can reach out for clarification and update our recommended citation if necessary. With this in mind, let us know if any updates need to be made.
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> Perhaps:
> > >>>>>>>>>>>>>>> [WHATWG-IPV4]
> > >>>>>>>>>>>>>>>     WHATWG, "URL - IPv4 Parser", WHATWG Living Standard,
> > >>>>>>>>>>>>>>>     <https://url.spec.whatwg.org/#concept-ipv4-parser>.
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>     Commit snapshot:
> > >>>>>>>>>>>>>>>     https://url.spec.whatwg.org/commit-snapshots/1b8b8c55eb4bed9f139c9a439fb1c1bf5566b619/#concept-ipv4-parser
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> Regarding the date, we don't recommend using a future date for a reference as it doesn't reflect the date for a currently published work (unless there is an anticipated update to the WHATWG specification in December 2025).
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> d) FYI, RFCYYY1 (draft-ietf-tls-svcb-ech) will be updated during the XML stage.
> > >>>>>>>>>>>>>>>> -->
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> 7) <!-- [rfced] We note that the following terms use fixed-width font
> > >>>>>>>>>>>>>>>> inconsistently. Please review these terms and let us know how we should update
> > >>>>>>>>>>>>>>>> or if there are any specific patterns that should be followed (e.g.,
> > >>>>>>>>>>>>>>>> fixed-width font used for field names, variants, etc.).
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> accept_confirmation
> > >>>>>>>>>>>>>>>> cipher_suite
> > >>>>>>>>>>>>>>>> ClientHello
> > >>>>>>>>>>>>>>>> ClientHelloInner
> > >>>>>>>>>>>>>>>> ClientHelloOuter
> > >>>>>>>>>>>>>>>> ClientHelloOuterAAD
> > >>>>>>>>>>>>>>>> config_id
> > >>>>>>>>>>>>>>>> ECHClientHello
> > >>>>>>>>>>>>>>>> ECHConfig
> > >>>>>>>>>>>>>>>> ECHConfig.contents.public_name
> > >>>>>>>>>>>>>>>> ECHConfigContents
> > >>>>>>>>>>>>>>>> ECHConfigList
> > >>>>>>>>>>>>>>>> EncodedClientHelloInner
> > >>>>>>>>>>>>>>>> inner
> > >>>>>>>>>>>>>>>> maximum_name_length
> > >>>>>>>>>>>>>>>> outer
> > >>>>>>>>>>>>>>>> payload
> > >>>>>>>>>>>>>>>> public_key
> > >>>>>>>>>>>>>>>> ServerHello.random
> > >>>>>>>>>>>>>>>> zeros
> > >>>>>>>>>>>>>>>> —>
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> EKR: Thanks. Fixed width should be used for field names and other PDUs.
> > >>>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>>> I notice that some of these are regular words (zeros) so you have to determine from context whether it's referring to some protocol element or just to the concept "carries an encrypted payload" versus "the payload field". Do you want to take a cut at changing as many of these as make sense and then I can review, or would you prefer I make the changes?
> > >>>>>>>>>>>>>>>> One question is what to do in definition lists. My sense is that the list heds should be non-fixed-width but maybe you have a convention.
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> 2) Thank you for offering to make changes. Please feel free to attach an updated markdown file containing the changes for terms using fixed-width font.
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> For definition lists, we typically leave this up to the authors to determine how they would like the terms to appear for consistency. For an example of terms in a definition list using a fixed-width font, see: https://www.rfc-editor.org/rfc/rfc9623.html#section-5.1.1.
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> The files have been posted here (please refresh):
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.txt
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.pdf
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.html
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.xml
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849.md
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> The relevant diff files have been posted here (please refresh):
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-diff.html
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-rfcdiff.html (side by side)
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-auth48diff.html
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-auth48rfcdiff.html (side by side)
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> Markdown diffs:
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-diff.html
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-rfcdiff.html
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-auth48diff.html
> > >>>>>>>>>>>>>>> https://www.rfc-editor.org/authors/rfc9849-md-auth48rfcdiff.html
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> For the AUTH48 status of this document, please see: https://www.rfc-editor.org/auth48/rfc9849.
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> We will await approvals from each author prior to moving forward with formatting updates. For details of the AUTH48 process in kramdown-rfc (including the two-part approval process), see: https://www.rfc-editor.org/rpc/wiki/doku.php?id=pilot_test_kramdown_rfc.
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> Thank you!
> > >>>>>>>>>>>>>>>
> > >>>>>>>>>>>>>>> Madison Church
> > >>>>>>>>>>>>>>> RFC Production Center
> > >
> >
>

-- 
Kazuho Oku